Domain-Spoofing

Affecting system.private.uri package, versions [4.3.0, 4.3.1)

Overview

System.Private.Uri Provides implementation of System.Uri.

Affected versions of this package are vulnerable to Domain-Spoofing. It causes the meaning of a URI to change when International Domain Name encoding is applied. An attacker who successfully exploited the vulnerability could redirect a URI.

Remediation

Upgrade System.Private.Uri to version 4.3.1 or higher.

References

Do your applications use this vulnerable package?

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Credit
Unknown
CVE
CVE-2019-0657
CWE
CWE-20
Snyk ID
SNYK-DOTNET-SYSTEMPRIVATEURI-173689
Disclosed
12 Feb, 2019
Published
14 Feb, 2019